<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\InvoiceInTransit;
use App\Models\User;

class InvoiceInTransitPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any InvoiceInTransit');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, InvoiceInTransit $invoiceintransit): bool
    {
        return $user->checkPermissionTo('view InvoiceInTransit');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create InvoiceInTransit');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, InvoiceInTransit $invoiceintransit): bool
    {
        return $user->checkPermissionTo('update InvoiceInTransit');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, InvoiceInTransit $invoiceintransit): bool
    {
        return $user->checkPermissionTo('delete InvoiceInTransit');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any InvoiceInTransit');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, InvoiceInTransit $invoiceintransit): bool
    {
        return $user->checkPermissionTo('restore InvoiceInTransit');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any InvoiceInTransit');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, InvoiceInTransit $invoiceintransit): bool
    {
        return $user->checkPermissionTo('replicate InvoiceInTransit');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder InvoiceInTransit');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, InvoiceInTransit $invoiceintransit): bool
    {
        return $user->checkPermissionTo('force-delete InvoiceInTransit');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any InvoiceInTransit');
    }
}
